aboutsummaryrefslogtreecommitdiffstats
path: root/meta-networking/recipes-support/libtalloc/libtalloc/run-ptest
diff options
context:
space:
mode:
Diffstat (limited to 'meta-networking/recipes-support/libtalloc/libtalloc/run-ptest')
-rw-r--r--meta-networking/recipes-support/libtalloc/libtalloc/run-ptest17
1 files changed, 17 insertions, 0 deletions
diff --git a/meta-networking/recipes-support/libtalloc/libtalloc/run-ptest b/meta-networking/recipes-support/libtalloc/libtalloc/run-ptest
new file mode 100644
index 0000000000..84e5381501
--- /dev/null
+++ b/meta-networking/recipes-support/libtalloc/libtalloc/run-ptest
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+ptestdir=$(dirname "$(readlink -f "$0")")
+cd "$ptestdir"/tests || exit
+
+tests="replace_testsuite talloc_testsuite"
+
+for f in $tests
+do
+ if test -x ./"$f"; then
+ if ./"$f" > ./"$f".out 2> ./"$f".err; then
+ echo "PASS: $f"
+ else
+ echo "FAIL: $f"
+ fi
+ fi
+done